Web Client Utils - Defect #750

Css stylesheets/js files added using WebClientUtils plugin lost
10/31/2013 06:21 PM - H Hardut

Status: Reopened Start date: 10/31/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

We add custom css and js files to the page using the WebClientUtils plugin for our mobile app created with phonegap (the app just
opens the servoy solution url).

This works fine the first time you start the app. But when you kill the app and restart it the custom scripts/css are missing from the
page.

This can be reproduced in the desktop browser (tested in firefox):

Open the solution (included with this issue) in the browser
Copy the url
Open a new browser tab
Paste the url and load

Now all custom css/js is gone from the page.
Maybe this has something to do with Wicket page versioning and the way the WebClientUtils plugin attaches the extra css/js
references to the page

History

#1 - 01/23/2014 04:58 PM - Andrei Costescu
- File patch.txt added

See https://support.servoy.com/browse/SVY-5263 for more information. It describes what the patch does + related Servoy versions.

#2 - 03/31/2014 02:10 PM - Patrick Talbot

- Status changed from New to Closed

#3 - 04/01/2014 09:02 AM - Patrick Rosendaal

Just out of curiosity: this issue was closed yesterday without any visible commits to subversion that would indicate Andrei's patch has been applied.
Was there a specific reason not to apply it?

#4 - 04/01/2014 07:04 PM - Patrick Talbot

- Status changed from Closed to Reopened

Very sorry, | confused this patch with another one submitted earlier.
I'll have a look at it asap.

Files
patch.txt 3.96 KB 10/31/2013 H Hardut
patch.txt 28 KB 01/23/2014 Andrei Costescu
